cdac.medinfo.sdk.hl7282.utils

## Enum EnumLocale

- java.lang.Object
- - java.lang.Enum<EnumLocale>
  - - cdac.medinfo.sdk.hl7282.utils.EnumLocale

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumLocale>

      public enum EnumLocale
      extends java.lang.Enum<EnumLocale>

  This enum is used to specify locale specific information.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FRANCE` Enum constant of Locale French France
    `JAPAN` Enum constant of Locale Japanese Japan
    `UK` Enum constant of Locale English Great Britain
    `US` Enum constant of Locale English united States

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` Returns the String value of this enum.
    `static EnumLocale` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumLocale[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### US

          public static final EnumLocale US

      Enum constant of Locale English united States

    - #### FRANCE

          public static final EnumLocale FRANCE

      Enum constant of Locale French France

    - #### UK

          public static final EnumLocale UK

      Enum constant of Locale English Great Britain

    - #### JAPAN

          public static final EnumLocale JAPAN

      Enum constant of Locale Japanese Japan

  - ### Method Detail

    - #### values

          public static EnumLocale[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumLocale c : EnumLocale.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumLocale valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Returns the String value of this enum.
      Returns:
        String - string value of locale specific information.